using System;


namespace takmicenje
{
    class Program
    {



        static void Main(string[] args)
        {

            int n = int.Parse(Console.ReadLine());
            string input;
            string[] d = new string[2];

            int[] a = new int[n];
            float[] p = new float[n];




            for (int i = 0; i < n; i++)
            {
                input = Console.ReadLine();
                d = input.Split(' ');
                a[i] = int.Parse(d[0]);
                p[i] = float.Parse(d[1]);

            }

            Array.Sort(p, a);
            Array.Reverse(p);
            Array.Reverse(a);

            double sum = 0;
            double nemamNaziv = 0;
         
            for (int i = 0; i < n; i++)
            {
                sum += (double) a[i];

                if(sum * (double) p[i] > nemamNaziv)
                {
                    nemamNaziv = sum * (double) p[i];                
                }
            }
            
            Console.WriteLine(nemamNaziv / 100);

            Console.Read();
            
        }
    }
}